<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <include
        android:id="@+id/toolbar"
        layout="@layout/layout_toolbar"
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:layout_marginTop="25dp"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tvSave"
        android:textSize="14dp"
        android:textColor="#ff56b7"
        android:text="@string/save"
        android:layout_marginEnd="20dp"
        android:padding="10dp"
        android:gravity="center"
        app:layout_constraintTop_toTopOf="@+id/toolbar"
        app:layout_constraintBottom_toBottomOf="@+id/toolbar"
        app:layout_constraintEnd_toEndOf="parent"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <ImageView
        android:id="@+id/ivLogo"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/toolbar"
        android:layout_marginTop="24dp"
        android:src="@mipmap/ic_modify_pwd_logo"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <TextView
        android:id="@+id/tvChangePwd"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/ivLogo"
        android:layout_marginTop="8dp"
        android:text="@string/change_password"
        android:textColor="#131B23"
        android:textSize="17dp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <TextView
        android:id="@+id/tvCurrentPwd"
        app:layout_constraintTop_toBottomOf="@+id/tvChangePwd"
        app:layout_constraintStart_toStartOf="parent"
        android:layout_marginStart="16dp"
        android:textSize="12dp"
        android:layout_marginTop="43dp"
        android:textColor="#131B23"
        android:visibility="gone"
        android:text="Current password"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <EditText
        android:id="@+id/etCurrentPwd"
        android:layout_marginStart="16dp"
        android:layout_marginEnd="16dp"
        android:layout_marginTop="8dp"
        android:hint="Enter current password"
        android:visibility="gone"
        android:paddingStart="5dp"
        android:background="@drawable/shape_f1f4f8_12"
        app:layout_constraintTop_toBottomOf="@+id/tvCurrentPwd"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:layout_width="0dp"
        android:layout_height="40dp"/>

    <TextView
        android:id="@+id/tvNewPwd"
        app:layout_constraintTop_toBottomOf="@+id/etCurrentPwd"
        app:layout_constraintStart_toStartOf="parent"
        android:layout_marginStart="16dp"
        android:textSize="12dp"
        android:layout_marginTop="16dp"
        android:textColor="#131B23"
        android:text="New password"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <EditText
        android:id="@+id/etNewPwd"
        android:layout_marginStart="16dp"
        android:layout_marginEnd="16dp"
        android:layout_marginTop="8dp"
        android:inputType="textPassword"
        android:hint="请输入新密码"
        android:paddingStart="5dp"
        android:background="@drawable/shape_f1f4f8_12"
        app:layout_constraintTop_toBottomOf="@+id/tvNewPwd"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:layout_width="0dp"
        android:layout_height="40dp"/>

    <TextView
        android:id="@+id/tvConfirmPwd"
        app:layout_constraintTop_toBottomOf="@+id/etNewPwd"
        app:layout_constraintStart_toStartOf="parent"
        android:layout_marginStart="16dp"
        android:textSize="12dp"
        android:layout_marginTop="16dp"
        android:textColor="#131B23"
        android:text="Confirm new password"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <EditText
        android:id="@+id/etConfirmNewPwd"
        android:layout_marginStart="16dp"
        android:layout_marginEnd="16dp"
        android:layout_marginTop="8dp"
        android:inputType="textPassword"
        android:hint="请输入新密码"
        android:paddingStart="5dp"
        android:background="@drawable/shape_f1f4f8_12"
        app:layout_constraintTop_toBottomOf="@+id/tvConfirmPwd"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:layout_width="0dp"
        android:layout_height="40dp"/>

</androidx.constraintlayout.widget.ConstraintLayout>